jQuery(document).ready(function($) {

  //window scrolls check
  // $(window).scroll(function() {
  //     var topOfWindow = $(window).scrollTop();
  //     // console.log('topOfWindow',topOfWindow);
  //     if (topOfWindow > 100) {
  //         $("#top-bar").addClass("reduced");
  //     }
  //     else {
  //         $("#top-bar").removeClass("reduced");
  //     }
  // });

  // init categories content images behaviour
  // console.log($(window).width());
  if( $(window).width() > 600 ){
    if($('body').is('.categories')){
      // console.log('hello');
      var $diapo = $('<div id="diaporama"></div>');
      $("#categories-content")
        .before($diapo)
        .find('li.project').each(function(index, el) {
          // console.log(index);
          $(this)
            .addClass('projet-'+index)
            .hover(function (e) {
              $diapo.children().removeClass('visible');
              var c = $(this).attr('class').match('projet-[0-9]+');
              console.log("class",c[0]);
              $diapo.children('.'+c[0]).addClass('visible');
            })
            .find('.projet-img')
              .addClass('projet-'+index)
              .appendTo($diapo);
        });
      $diapo.children('.projet-img').first().addClass('visible');
    }

    // init Masonry
    var $grid = $('.grid').masonry({
      itemSelector: '.grid-block',
      transitionDuration: '0.4s'
    });

    $grid.imagesLoaded().progress(function(){
      $grid.masonry('layout');
    });
  }
});
